# H245_LogicalChannelRateRequest Class Reference

`#include <h245.h>`

Inheritance diagram for H245_LogicalChannelRateRequest:

List of all members.

## Public Member Functions

| H245_LogicalChannelRateRequest (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H245_SequenceNumber | m_sequenceNumber
H245_LogicalChannelNumber | m_logicalChannelNumber
H245_MaximumBitRate | m_maximumBitRate

## Constructor & Destructor Documentation

H245_LogicalChannelRateRequest::H245_LogicalChannelRateRequest | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_LogicalChannelRateRequest::GetDataLength | ( |  | ) | const

PBoolean H245_LogicalChannelRateRequest::Decode | ( | PASN_Stream & | strm | ) |

void H245_LogicalChannelRateRequest::Encode | ( | PASN_Stream & | strm | ) | const

void H245_LogicalChannelRateRequest::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_LogicalChannelRateRequest::Compare | ( | const PObject & | obj | ) | const

PObject* H245_LogicalChannelRateRequest::Clone | ( |  | ) | const

## Member Data Documentation

H245_SequenceNumber H245_LogicalChannelRateRequest::m_sequenceNumber

H245_LogicalChannelNumber H245_LogicalChannelRateRequest::m_logicalChannelNumber

H245_MaximumBitRate H245_LogicalChannelRateRequest::m_maximumBitRate

The documentation for this class was generated from the following file:

- h245.h